KDebugDCOPIface Class Reference

`#include <kdebugdcopiface.h>`

Inheritance diagram for KDebugDCOPIface:

## Additional Inherited Members

Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()
Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

DCOP interface to KDebug.

Definition at line 30 of file kdebugdcopiface.h.

## Member Function Documentation

void KDebugDCOPIface::notifyKDebugConfigChanged | ( |  | ) |

The kdebugrc has been changed and should be reparsed now.

This will simply call kdClearDebugConfig

Definition at line 31 of file kdebugdcopiface.cpp.

void KDebugDCOPIface::printBacktrace | ( |  | ) |

Print out a kdBacktrace.

Useful when trying to understand why a dialog is popping up, without having to launch gdb

Definition at line 36 of file kdebugdcopiface.cpp.

The documentation for this class was generated from the following files:

- kdebugdcopiface.h
- kdebugdcopiface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys